// %PARAMETERS = "CH13LIST C:\UT2004"
//Identifies the package
//CH13_01LIST.uc

class CH13_01LIST extends Commandlet;

function int Main(string Args){
  local string szLines;

  log(Chr(10) $ "   CH13_01LIST" $ Chr(10));
  //Start the flow

  //# 1 Start
  goto AUTHOR;

  TITLE:
    szLines @= "  The Goal" $ Chr(10);
  goto STANZA1;

  STANZA1:
    szLines @= "I sprang on life's free course, I tasked myself,"$ Chr(10);
    szLines @= "  And questioned what and how I meant to be"$ Chr(10);
    szLines @= "And leaving far behind me power and pelf,"$ Chr(10);
    szLines @= "  I fixed a goal-nor farther could I see."$ Chr(10);
  goto NOTE1;

  STANZA2:
    szLines @= "For this I toiled, for this I ran and bled,"$ Chr(10);
    szLines @= "   And proudly thought up my laurels there."$ Chr(10);
    szLines @= "      . . ."$ Chr(10);
  goto SOURCE;

   // # 2
  AUTHOR:
    szLines @= "Ellen Sturgis Hooper (1812-1848)"$ Chr(10);
  goto TITLE;

  SOURCE:
    szLines @= "Perry Miller, ed. The American Transcendentalists"$ Chr(10);
    szLines @= "(Baltimore: Johns Hopkins U. Press, 1957), p. 274.";
  goto END;

  NOTE1:
    szLines @= "[Vocabulary 'Pelf': Wealth or riches dishonestly acquired.]"$ Chr(10);
  goto STANZA2;

  END:
  Log(szLines);
  return 0;
}

