// %PARAMETERS = "CH13LIST C:\UT2004"
//Identifies the package
//CH13_06LIST.uc

class CH13_06LIST extends Commandlet;
function int Main(string Args){

//#1
local string szTitleInfo, szSource;
local Array<string> rgOrphicSayings;
local int iItr;


rgOrphicSayings[0] =Caps(" Enthusiasm ") @ Chr(10)
     @ " Believe, youth, that your heart is your oracle...";

rgOrphicSayings[1] = Caps(" Hope ") @ Chr(10)
     @ " Hope deifies man; it is the apotheosis of the soul...";

rgOrphicSayings[2] = Caps(" Immortality ") @ Chr(10)
     @ "The grander my conception of being, the nobler any future.";

rgOrphicSayings[3] = Caps(" Vocation ") @ Chr(10)
     @ " Engage in nothing that cripples or degrades you." $  Chr(10) @
     "Your first duty is self-culture, self-evaluation. . .";

rgOrphicSayings[4] = Caps(" Sensualism ") @ Chr(10)
     @ "He who marvels at nothing, who feels nothing to be" $  Chr(10) @
     "mysterious, but must needs bare all things to sense," $  Chr(10) @
     "lacks both wisdom and piety.";

rgOrphicSayings[5] = Caps(" Aspiration ") @ Chr(10)
     @ "The insatiableness of her desires is an augury of the " $
     "soul's eternity.";

szTitleInfo = Chr(10) @ Caps("Orphic Sayings") @
               "Amos Bronson Alcott  1799-1888" $  Chr(10);
szSource =    Chr(10) @ "  Perry Miller, ed. The American Transcendentalists" $  Chr(10) @
              "(Baltimore: Johns Hopkins U. Press, 1957), pp. 86-88.";

//#2
iItr =  Rand(6);
Log ( Chr(10) $ iItr + 1 $ ".");


//#3
if(iItr == 1 || iItr == 6){
     Log( Chr(10) $ szTitleInfo $  Chr(10)
                 $ rgOrphicSayings[iItr] $ Chr(10) $ szSource);
}

//#4 equal to or equal to and not equal to
if(iItr == 3 || (iItr == 0 && iItr != 6)){
     Log(Chr(10) $ szTitleInfo $ Chr(10)
                 $ rgOrphicSayings[iItr] $ Chr(10) $  szSource);
}

//#5 Compound: greatter than and less than
if(iItr > 3 && !(iItr > 4))
{
     Log(Chr(10) $ szTitleInfo $ Chr(10)
                 $ rgOrphicSayings[iItr] $ Chr(10) $ szSource);
}

//#6 Compound: greater than or equal to
if(iItr > 4 || iItr == 2)
{
     Log(Chr(10) $ szTitleInfo $ Chr(10)
                 $ rgOrphicSayings[iItr] $ Chr(10) $ szSource);
}

   return 0;
}
