// %PARAMETERS = "CH13LIST C:\UT2004"
//Identifies the package
//CH13_012IST.uc

class CH13_02LIST extends Commandlet;


function int Main(string Args){
    Log(Chr(10) $ "   CH13_02LIST" $ Chr(10));
    showTitle();
    showLines();
    showSource();
    return 0;
}


function int showSource(){
      local string szSource, szSpace;
      szSpace = "   ";

      szSource  =  Chr(10) $ szSpace $ 
                "Perry Miller, ed. The American Transcendentalists"
                $ szSpace;
      szSource  @=  Chr(10) $ szSpace $
                "(Baltimore: Johns Hopkins U. Press," $
                " 1957), p. 271.";

      Log( szSource);
      return 0;
}

function int showLines(){
      local string szSetA, szSetB, szSetC, szSpace;
      szSpace = "   ";

      szSetA = Chr(10) $ szSpace $
             "Hath this world, without me wrought," $ Chr(10)
             $ szSpace $ "Other substances than my thought?";

      szSetB = Chr(10) $ szSpace $
             "Lives it by my sense alone,"$ Chr(10) $ szSpace $
            "Or by essence of its own?";

      szSetC = Chr(10) $ szSpace $
             "Will its life, with mine begun," $ Chr(10)
             $ szSpace $ "Cease to be when that is done," $ Chr(10)
             $ szSpace $ "Or another consciousness" $ Chr(10)
             $ szSpace $ "With the self-same forms impress?" $ Chr(10);

      Log( szSetA $ szSetB$ szSetC);
      return 0;
}


function int showTitle(){

      local string szTitle, szAuthor, szSpace;
      szSpace = "   ";

      szTitle   = Chr(10) $ szSpace
                          $ "Questionings" $ Chr(10);
      szAuthor  = Chr(10) $ szSpace
                          $ "Frederic Henry Hedge  1805-1890" $ Chr(10);

      Log( szTitle $ szAuthor);

      return 0;
}


